Subject: Re: OS X and umlauts in file names

From: Thomas Singer <[email-masked]>
Date: Thu, 26 Nov 2009 09:28:04 +0100

Hi Andreas,

Thank you for this hint. When trying

 toms-mac-mini:git-umlauts tom$ git stage $'U\314\210berla\314\210nge.txt'

git shows me no error or other output, but invoking 'git status' again shows
no difference, the file is still showing up as new file.

I've also tried to use double backslashes, but I could not enter a backslash
in the OS X Terminal (works fine in other applications). :(

-- 
Tom

Andreas Schwab wrote:
> Thomas Singer <[email-masked]> writes:
> 
>> I've did following:
>>
>>  toms-mac-mini:git-umlauts tom$ ls
>>  Überlänge.txt
>>  toms-mac-mini:git-umlauts tom$ git status
>>  # On branch master
>>  #
>>  # Initial commit
>>  #
>>  # Changes to be committed:
>>  #   (use "git rm --cached <file>..." to unstage)
>>  #
>>   #	new file:   "U\314\210berla\314\210nge.txt"
>>  #
>>  toms-mac-mini:git-umlauts tom$ git stage "U\314\210berla\314\210nge.txt"
>>  fatal: pathspec 'U\314\210berla\314\210nge.txt' did not match any files
> 
> Try $'U\314\210berla\314\210nge.txt' instead.
> "U\314\210berla\314\210nge.txt" is the same as
> "U\\314\\210berla\\314\\210nge.txt" to the shell.
> 
> Andreas.
>